<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use App\Services\Agent\NotificationService;

class NotificationController extends Controller
{
    protected $notification;

    public function __construct(NotificationService $notificationService) {
        parent::__construct();
        $this->notification = $notificationService;
    }

    public function index($limit){
        $this->response->data = $this->notification->getAllByLimit($limit);
        return $this->json();
    }

    public function detail($id){
        $this->response->data = $this->notification->getDataById($id);
        return $this->json();
    }
}
