<?php

namespace App\Http\Controllers\Landing;

use App\Http\Controllers\Controller;
use App\Services\Landing\SosialMediaService;

class SosialMediaController extends Controller
{
    protected $sosialMedia;

    public function __construct(SosialMediaService $sosialMediaService) {
        parent::__construct();
        $this->sosialMedia = $sosialMediaService;
    }

    public function index(){
        $data = $this->sosialMedia->getAll();

        $this->response->data = $data;
        return $this->json();
    }
}

