<?php


namespace App\Lib\Alerting\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method static send(\Throwable $exception)
 * @method static notify(array $discord)
 *
 * @see AlertingProviderInterface
 */
class Alerting extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return 'alerting.provider';
    }
}
