<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ForgotPassword extends Mailable
{
    use Queueable, SerializesModels;

    public $agent;

    public $url;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($agent, $url)
    {
        $this->agent = $agent;
        $this->url = $url;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->from('kiseki_maker_77@gmail.com', 'Forgot Password')
            ->subject("Forgot password verification")
            ->markdown('forgot_password');
    }
}
