<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HistoryAgent extends Model
{
    use HasFactory;

    protected $fillable = [
        'agent_id', 'schedule_id', 'status_check', 'time_check'
    ];

    public function agent(){
        return $this->belongsTo(Agent::class);
    }

    public function schedule(){
        return $this->belongsTo(Schedule::class);
    }
}
