<?php

namespace App\Repositories\Admin\Landing;

use App\Models\CallCenter;

class CallCenterRepository
{
    private $model;

    public function __construct(CallCenter $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model->first();
    }

    public function create($description){
        $this->model->create([
            'description' => $description
        ]);
    }

    public function update($description){
        return $this->model->first()->update([
            'description' => $description
        ]);
    }
}
