<?php

namespace App\Services\Agent;

use App\Repositories\Agent\MenuRepository;

class MenuService
{
    protected $menu;

    public function __construct(MenuRepository $menu)
    {
        $this->menu = $menu;
    }

    public function getAll()
    {   
        return $this->menu->getAll();
    }

    public function getParentMenu()
    {
        return $this->menu->getParentMenu();
    }

    public function getMenuByName($name)
    {
        return $this->menu->getMenuByName($name);
    }
}
