<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class RolePermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        // create roles
        $superAdminRole = \Spatie\Permission\Models\Role::findOrCreate(env('SUPERVISOR_ROLE'), env('ADMIN_GUARD', 'web'));
        $adminRole = \Spatie\Permission\Models\Role::findOrCreate(env('ADMIN_ROLE'), env('ADMIN_GUARD', 'web'));

        // $permission = [];

        // $permissionAccess = [
        //     // Auth
        //     [
        //         'name' => 'admin.register',
        //         'display_name' => 'Admin Register'
        //     ],
        //     [
        //         'name' => 'admin.index',
        //         'display_name' => 'Admin Index'
        //     ],

        //     // Role
        //     [
        //         'name' => 'role.index',
        //         'display_name' => 'Role Index'
        //     ],
        //     [
        //         'name' => 'role.roleAdmin',
        //         'display_name' => 'Role Admin'
        //     ],
        //     [
        //         'name' => 'role.roleAdd',
        //         'display_name' => 'Role Add'
        //     ],
        //     [
        //         'name' => 'role.roleDetail',
        //         'display_name' => 'Role Detail'
        //     ],
        //     [
        //         'name' => 'role.changeRole',
        //         'display_name' => 'Role Change'
        //     ],
        //     [
        //         'name' => 'role.roleEdit',
        //         'display_name' => 'Role Edit'
        //     ],
        //     [
        //         'name' => 'role.roleDelete',
        //         'display_name' => 'Role Delete'
        //     ],

        //     // Permission
        //     [
        //         'name' => 'permission.index',
        //         'display_name' => 'Permission Index'
        //     ],

        //     // Agent
        //     [
        //         'name' => 'agent.index',
        //         'display_name' => 'Index Agent'
        //     ],
        //     [
        //         'name' => 'agent.detail',
        //         'display_name' => 'Detail Agent'
        //     ],
        //     [
        //         'name' => 'agent.update',
        //         'display_name' => 'Update Agent'
        //     ],
        //     [
        //         'name' => 'agent.delete',
        //         'display_name' => 'Delete Agent'
        //     ],
        //     [
        //         'name' => 'agent.restore',
        //         'display_name' => 'Restore Agent'
        //     ],

        //     // SLider
        //     [
        //         'name' => 'slider.index',
        //         'display_name' => 'Index Slider'
        //     ],
        //     [
        //         'name' => 'slider.detail',
        //         'display_name' => 'Store Slider'
        //     ],
        //     [
        //         'name' => 'slider.detail',
        //         'display_name' => 'Detail Slider'
        //     ],
        //     [
        //         'name' => 'slider.update',
        //         'display_name' => 'Update Slider'
        //     ],
        //     [
        //         'name' => 'slider.delete',
        //         'display_name' => 'Delete Slider'
        //     ],
        //     [
        //         'name' => 'slider.restore',
        //         'display_name' => 'Restore Slider'
        //     ],
        //     [
        //         'name' => 'slider.description_image',
        //         'display_name' => 'Description Image Slider'
        //     ]
        // ];
          
        // foreach($permissionAccess as $access){
        //     // Admin
        //     \App\Models\Permission::findOrCreate($access['name'], env('ADMIN_GUARD', 'web'), ['display_name' => $access['display_name']]);
        //     $permission[env('ADMIN_GUARD', 'web')][] = $access['name'];
        // }

        // // assign permission to role
        // $superAdminRole->syncPermissions($permission[env('ADMIN_GUARD')]);
        // $adminRole->syncPermissions($permission[env('ADMIN_GUARD')]);
    }
}
