<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use App\Services\Agent\PopUpService;
use Illuminate\Http\Request;

class PopupController extends Controller
{
    protected $popUp;

    public function __construct(PopUpService $popupService) {
        parent::__construct();
        $this->popUp = $popupService;
    }

    public function index(){
        $this->response->data =  $this->popUp->index();
        return $this->json();
    }
}
