<?php

namespace App\Http\Controllers\Landing;

use App\Http\Controllers\Controller;
use App\Services\Landing\CallCenterService;

class CallCenterController extends Controller
{
    protected $callCenter;

    public function __construct(CallCenterService $callCenterService) {
        parent::__construct();
        $this->callCenter = $callCenterService;
    }

    public function detail()
    {
        $data = $this->callCenter->getAll();

        $this->response->data = $data;
        return $this->json();
    }
}
