<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Yajra\DataTables\Facades\DataTables;
use App\Models\Permission;

class PermissionController extends Controller
{
    public function index(Request $request){
        return DataTables::of(Permission::where('guard_name', config('app.admin_guard'))
            ->select(['id', 'name', 'display_name','created_at'])->orderBy('name', 'ASC'))->make();
    }
}
