<?php

namespace App\Repositories\Admin\Landing;

use App\Models\SosialMedia;

class SosialMediaRepository
{
    private $model;

    public function __construct(SosialMedia $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model->first();
    }

    public function create($instagram, $facebook, $twitter, $tiktok){
        $this->model->create([
            'instagram' => $instagram,
            'facebook' => $facebook,
            'twitter' => $twitter,
            'tiktok' => $tiktok
        ]);
    }

    public function update($instagram, $facebook, $twitter, $tiktok){
        return $this->model->first()->update([
            'instagram' => $instagram,
            'facebook' => $facebook,
            'twitter' => $twitter,
            'tiktok' => $tiktok
        ]);
    }
}
