<?php

namespace App\Repositories\Agent;

use App\Models\Slider;

class SliderRepository
{
    private $model;

    public function __construct(Slider $model)
    {
        $this->model = $model;
    } 

    public function getAll()
    {
        return $this->model->where([
            ['type', '=', 0],
            ['display', '=', 1]
        ])->latest('position');
    }

    public function getDataById($id)
    {
        return $this->model->where('id', $id)->first();
    }
}
