<?php

namespace App\Repositories\Landing;

use App\Models\Menu;

class KSKRepository
{
    private $model;

    public function __construct(Menu $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model-> where('name', 'KSK')->with(['children'])->first();
    }

    public function detail($id)
    {
        return $this->model->where('id', $id)->with('children')->first();
    }
}
