<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class HistoryAgentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        \App\Models\HistoryAgent::firstOrCreate([
            'agent_id'  => 1,
            'schedule_id' => 1,
            'status_check'  => 1,
            'time_check' => '2022-08-28 00:00:00',
        ]);

        \App\Models\HistoryAgent::firstOrCreate([
            'agent_id'  => 1,
            'schedule_id' => 1,
            'status_check'  => 0,
            'time_check' => '2022-08-28 01:00:00',
        ]);

        \App\Models\HistoryAgent::firstOrCreate([
            'agent_id'  => 1,
            'schedule_id' => 1,
            'status_check'  => 1,
            'time_check' => '2022-08-28 02:00:00',
        ]);

        \App\Models\HistoryAgent::firstOrCreate([
            'agent_id'  => 1,
            'schedule_id' => 1,
            'status_check'  => 0,
            'time_check' => '2022-08-28 02:30:00',
        ]);
    }
}
