<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class MenuTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Grid 2
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'grid 2'
        ],[
            'name'  => 'grid 2',
        ]);

        // Grid 2 Without title
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'grid 2 without title'
        ],[
            'name'  => 'grid 2 without title',
        ]);


        // Grid 3
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'grid 3'
        ],[
            'name'  => 'grid 3',
        ]);

        // Grid 3 Without title
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'grid 3 without title'
        ],[
            'name'  => 'grid 3 without title',
        ]);

        // List
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'list'
        ],[
            'name'  => 'list',
        ]);

        // List Image
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'list image'
        ],[
            'name'  => 'list image',
        ]);

        // Article Button
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'article button'
        ],[
            'name'  => 'article button',
        ]);

        // Article Slider
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'article slider'
        ],[
            'name'  => 'article slider',
        ]);

        // PDF
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'pdf'
        ],[
            'name'  => 'pdf',
        ]);

        // Single Image
        \App\Models\MenuType::firstOrCreate([
            'name'  => 'single image'
        ],[
            'name'  => 'single image',
        ]);
    }
}
